{% extends "base.html" %}
{% load static %}
{% load extra_tags %}

{% block title %} Message {% endblock %}
{% block titleHeader %}Message #{{message.id}}{% endblock %}
{% block titleSubHeader %} Content message{% endblock %}
{% block libraries %}
<!-- add after bootstrap.min.css -->
<link
  rel="stylesheet"
  href="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.css"
/>
<!-- add after bootstrap.min.js -->
<script src="https://cdn.rawgit.com/afeld/bootstrap-toc/v1.0.1/dist/bootstrap-toc.min.js"></script>

<!-- editoJS -->
<script src="https://cdn.jsdelivr.net/npm/editorjs-html@3.4.0/build/edjsHTML.js"></script>
{% endblock %}

{% block content %}
<div class="container">
    <div class="row">
        <div class="col-xl-3">
            <p><a href="{% url 'messageUser_page' %}"><i class="fa-solid fa-arrow-left"></i> Back to message list</a></p>            <div class="card">
              <div class="card-header">
                <b>Message information</b>
              </div>
              <div class="card-body">
                 <p><b>Category</b>: <a href="{% url 'messageUser_page' cat_user=message.messageCategory %}"><span class="badge {{ message.messageColor }}">{{ message.messageCategory }}</span></a> </p>
                 <p><b>Creation date</b>: {{ message.messageDateCreation }}</p>
                 <p><b>Archive date</b>: {{ message.messageDateArchive }}</p>
                 <p><b>Alerte</b> : {% if message.messageAlert %} <span class="text-success"><i class="fa-solid fa-circle-check"></i></span>{% else %} <span class="text-danger"><i class="fa-solid fa-circle-xmark"></i></span>{% endif %}</p>
              </div>
            </div>

            {% if request.user.is_superuser %}
            <div class="d-grid gap-2 d-md-block text-center my-1">
             <a href="{% url 'manage_message' mode='delete' idMessage=message.id %}" class="btn btn-danger my-1"><i class="fa-solid fa-circle-xmark"></i> Delete</a>
             <a href="{% url 'manage_message' mode='archive' idMessage=message.id %}" class="btn btn-warning my-1"><i class="fa-solid fa-box-archive"></i> Archive</a>
             <a href="{% url 'manage_message' mode='edit' idMessage=message.id %}" class="btn btn-success my-1"><i class="fa-solid fa-pen"></i> Edit</a>
            </div>
            {% endif %}

             <nav id="toc" class="sticky-top"></nav>

        </div>
        <div class="col-xl-9">
            <p class="fs-1">{{ message.messageTitle }}</p>
            <p class="lead">{{ message.messageAbstract }}</p>
            <div data-spy="scroll" data-target="#toc">
                <div id="content_div"></div>
            </div>
        </div>
    </div>

</div>

<script>
    var False = false;
    var True = true;
    var None = ""
    const edjsParser = edjsHTML();
    var div = document.getElementById('content_div');
    div.innerHTML += edjsParser.parse({{ message.messageContent | safe }}).join(' ');
</script>
<script>
    $(function() {
      var navSelector = "#toc";
      var $myNav = $(navSelector);
      Toc.init($myNav);
      $("body").scrollspy({
        target: navSelector
      });
    });
</script>
{% endblock %}